
package com.reactlibrary;

import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.Callback;

public class RNRnSumModule extends ReactContextBaseJavaModule {

  private final ReactApplicationContext reactContext;

  public RNRnSumModule(ReactApplicationContext reactContext) {
    super(reactContext);
    this.reactContext = reactContext;
  }

  @ReactMethod
  public void doSum(int a, int b, Callback callBack) {
    int res = a + b;
    callBack.invoke(res);
  }

  @Override
  public String getName() {
    return "RNRnSum";
  }
}